<?php

class Flux_forums {
  
  function __construct($db) {
    $host     = $db['dbaddr'];
    $dbname   = $db['dbname'];
    $user     = $db['dbuser'];
    $pass     = $db['dbpass'];
    $charset  = $db['charset'];
    
    $dsn = "mysql:host=$host;dbname=$dbname;charset=$charset";
    $opt = [
        PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
        PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
        PDO::ATTR_EMULATE_PREPARES   => false,
    ];
    $this->pdo = new PDO($dsn, $user, $pass, $opt);
  }

  function __destruct() {
    
  }
  
  function getLastForums($limit, $disallowed_cats) {
    $stmt2 = $this->pdo->prepare("
SELECT 
  t.id, 
  t.subject, 
  t.last_post, 
  t.forum_id,
  f.cat_id
FROM flux_topics t
JOIN flux_forums f on f.id = t.forum_id
where f.cat_id NOT IN (:disallowed_cats)
ORDER BY last_post desc limit 0, :limit
");
    
    $stmt2->execute(array('limit' => $limit, 'disallowed_cats' => $disallowed_cats));
    $_result = [];
    
    while ($row = $stmt2->fetch()) {
      $_result[] = $row;
    }
    return $_result;
  }
  
}

?>
